// creator  : weidu.exe (version 23100)
// argument : TRSKIN02.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~TRSKIN02~

IF ~NumTimesTalkedTo(0)~ THEN BEGIN 0 // from:
  SAY #44523 /* ~Oh!  Y-you are... are one of the heroes that everyone is talking about, aren't you?  You... stopped the druids and the genies.  M-maybe... maybe you could help me...~ */
  IF ~~ THEN GOTO 1
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #44524 /* ~It... it's all so terrible, I hardly know where to begin.~ */
  IF ~~ THEN GOTO 2
END

IF ~~ THEN BEGIN 2 // from: 1.0
  SAY #44525 /* ~My... my love, Raissa, and I... we were coming home two days ago, not far from here.  It was late... and I heard a strange noise come out of the shadows.~ */
  IF ~~ THEN GOTO 3
END

IF ~~ THEN BEGIN 3 // from: 2.0
  SAY #44526 /* ~I thought perhaps it was another attack by the animals, but a large man leapt out of the darkness at me and knocked me out.  I... I remember nothing until I woke up...~ */
  IF ~~ THEN GOTO 4
END

IF ~~ THEN BEGIN 4 // from: 3.0
  SAY #44527 /* ~When I did, I saw a man tying Raissa to a chair.  He was the one who had leapt at me.  I... I stirred, as my head ached, and I was not immediately aware that someone else was in the room...~ */
  IF ~~ THEN GOTO 5
END

IF ~~ THEN BEGIN 5 // from: 4.0
  SAY #44528 /* ~I suppose the other must have heard me, because he approached.  I... I saw him, my <LADYLORD>, I turned and I saw him!  He was a... a man, or a creature that looked like a man... but he had no skin!~ */
  IF ~~ THEN GOTO 6
END

IF ~~ THEN BEGIN 6 // from: 5.0
  SAY #44529 /* ~All I saw was his... his muscles and sinew!  He hissed, a dreadful sound, and tried to grab me.  I was frightened and I leapt back, barely out of his reach.~ */
  IF ~~ THEN GOTO 7
END

IF ~~ THEN BEGIN 7 // from: 6.0
  SAY #44530 /* ~The man by Raissa yelled at him to grab me, and the skinless creature shouted back at him, angry... and I fled as quickly as I could.  I heard someone running behind me, but I didn't dare look!~ */
  IF ~~ THEN GOTO 8
END

IF ~~ THEN BEGIN 8 // from: 7.0
  SAY #44531 /* ~I heard it shout behind me, once... it said that it would get me, that it would find me.  And... and when I stopped running, eventually, I didn't hear it any more.~ */
  IF ~~ THEN GOTO 9
END

IF ~~ THEN BEGIN 9 // from: 8.0
  SAY #44532 /* ~I came here to hide, my <LADYLORD>.  I am frightened to go out... what manner of creature could this be?  What kind of magic would create a horror such as this?!~ */
  IF ~~ THEN GOTO 10
END

IF ~~ THEN BEGIN 10 // from: 9.0
  SAY #44533 /* ~I don't know who to turn to.  The militia... they can do nothing against such a creature, I am sure.  And... and I feel so ashamed... I left my Raissa behind, left her to die!~ */
  IF ~~ THEN GOTO 11
END

IF ~~ THEN BEGIN 11 // from: 10.0
  SAY #44534 /* ~Please, my <LADYLORD>... will you help me?  Will you find my Raissa and bring her back to me?~ */
  IF ~~ THEN REPLY #44535 /* ~I will try, but I need more information.~ */ DO ~SetGlobal("tirisjob","GLOBAL",1)~ GOTO 12
  IF ~~ THEN REPLY #44536 /* ~What kind of reward would I be getting?~ */ GOTO 13
  IF ~~ THEN REPLY #44537 /* ~No, I have no interest in this.~ */ GOTO 14
END

IF ~~ THEN BEGIN 12 // from: 21.0 13.0 11.0
  SAY #44538 /* ~Th-thank you, my <LADYLORD>, I am very grateful... if you could do whatever you can...~ */
  IF ~~ THEN GOTO 15
END

IF ~~ THEN BEGIN 13 // from: 21.1 11.1
  SAY #44539 /* ~I have nothing, my <LADYLORD>.  Nothing to offer you at all, save my thanks and the thanks of my love, I am sure.  Please, I beg you to help her!~ */
  IF ~~ THEN REPLY #44540 /* ~Very well.  But I need to know a little more.~ */ DO ~SetGlobal("tirisjob","GLOBAL",1)~ GOTO 12
  IF ~~ THEN REPLY #44541 /* ~Sorry, I don't have time for this.~ */ GOTO 14
END

IF ~~ THEN BEGIN 14 // from: 13.1 11.2
  SAY #44542 /* ~Oh.  I do not know how much longer Raissa will live in those creatures' hands... if she is even still alive.  I beg you to change your mind, my <LADYLORD>.  If... if you do, please come and tell me.~ */
  IF ~~ THEN DO ~SetGlobal("tirisrefused","GLOBAL",1)~ UNSOLVED_JOURNAL #37194 /* ~Helping Tiris in Trademeet

I spoke to Tiris and he described he and his girlfriend, Raissa, being kidnapped by a man and a skinless creature.  Tiris escaped, but he wants me to find his girlfriend.  I told him I have no time for such nonsense right now.~ */ EXIT
END

IF ~~ THEN BEGIN 15 // from: 12.0
  SAY #44543 /* ~As for more information, well, let me think.  The... the skinless creature did say the name of the man with the knife.  He shouted it when the man told the creature to grab me... he called the man 'Rejiek'.~ */
  IF ~~ THEN REPLY #44544 /* ~Rejiek?  Are you sure?~ */ GOTO 16
END

IF ~~ THEN BEGIN 16 // from: 15.0
  SAY #44545 /* ~Yes, <SIRMAAM>.  Very sure.  Why?  Do... do you know that name?~ */
  IF ~!IsValidForPartyDialog("Keldorn")
!IsValidForPartyDialog("HaerDalis")
!IsValidForPartyDialog("Minsc")
!IsValidForPartyDialog("Edwin")~ THEN REPLY #44546 /* ~Rejiek Hidesman is a murderer from Athkatla whom I exposed, and who escaped before he could be captured.~ */ GOTO 17
  IF ~!IsValidForPartyDialog("Keldorn")
!IsValidForPartyDialog("HaerDalis")
!IsValidForPartyDialog("Minsc")
!IsValidForPartyDialog("Edwin")~ THEN REPLY #44547 /* ~Yes, but you needn't concern yourself.  Do you remember where you were brought?~ */ GOTO 20
  IF ~IsValidForPartyDialog("Keldorn")~ THEN EXTERN ~KELDORJ~ 221
  IF ~!IsValidForPartyDialog("Keldorn")
IsValidForPartyDialog("HaerDalis")~ THEN EXTERN ~HAERDAJ~ 131
  IF ~!IsValidForPartyDialog("Keldorn")
!IsValidForPartyDialog("HaerDalis")
IsValidForPartyDialog("Minsc")~ THEN EXTERN ~MINSCJ~ 187
  IF ~!IsValidForPartyDialog("Keldorn")
!IsValidForPartyDialog("HaerDalis")
!IsValidForPartyDialog("Minsc")
IsValidForPartyDialog("Edwin")~ THEN EXTERN ~EDWINJ~ 131
END

IF ~~ THEN BEGIN 17 // from: 16.0
  SAY #44548 /* ~Oh... oh, no!  Then you must find Raissa soon!  If... if he has not already killed her!  Oooh, I should have saved her when I had the chance!  I should have tried!~ */
  IF ~~ THEN GOTO 18
END

IF ~~ THEN BEGIN 18 // from: 17.0
  SAY #44549 /* ~Please!  The creature brought me to the woods near the Southwest Gate.~ */
  IF ~~ THEN GOTO 19
END

IF ~~ THEN BEGIN 19 // from: 20.0 18.0
  SAY #44550 /* ~Go there, I beg you, and find out what has become of her!  Perhaps... perhaps this man and his creature yet remain there!~ */
  IF ~~ THEN UNSOLVED_JOURNAL #15731 /* ~Helping Tiris in Trademeet

I spoke to Tiris and found out something startling... Rejiek, the murderer from the Bridge District in Athkatla whom I drove off, is now in Trademeet and apparently working with a strange, skinless creature.  Tiris and his girlfriend, Raissa, were kidnapped and brought to the woods by the southwest gate, where Tiris was just barely able to escape.  He begs that I find Raissa, and suggests that I look in the woods for any clues.~ */ EXIT
END

IF ~~ THEN BEGIN 20 // from: 16.1
  SAY #44551 /* ~Er... yes, yes I do!  The creature brought me to the woods near the Southwest Gate.~ */
  IF ~~ THEN GOTO 19
END

IF ~//Global("tannerplot2","GLOBAL",1)
Global("tirisjob","GLOBAL",0)
Global("tirisrefused","GLOBAL",1)~ THEN BEGIN 21 // from:
  SAY #44552 /* ~It... it is you!  My <LADYLORD>!  Have you changed your mind?  Will you look for Raissa?  Please, she could already be dead!~ */
  IF ~~ THEN REPLY #44553 /* ~Very well, but I will need some more information on all this.~ */ DO ~SetGlobal("tirisjob","GLOBAL",1)
SetGlobal("tirisrefused","GLOBAL",0)~ GOTO 12
  IF ~~ THEN REPLY #44554 /* ~I would prefer some kind of reward, here.~ */ GOTO 13
  IF ~~ THEN REPLY #44555 /* ~No, I haven't changed my mind.~ */ GOTO 22
END

IF ~~ THEN BEGIN 22 // from: 21.2
  SAY #44556 /* ~Then why have you come?!  Why do you torture me?!  Oh, they will find me, for sure... and Raissa, poor Raissa, will die!~ */
  IF ~~ THEN EXIT
END

IF ~Global("tirisjob","GLOBAL",1)~ THEN BEGIN 23 // from:
  SAY #44557 /* ~Have... have you found out anything?  Have you found Raissa?!~ */
  IF ~~ THEN REPLY #44558 /* ~No, I have found nothing yet, but I will keep trying.~ */ GOTO 24
  IF ~Global("tannerplot2","GLOBAL",2)~ THEN REPLY #44559 /* ~I went to the place you described, but she was not there.  I met someone who told me where she might be, however.~ */ GOTO 25
  IF ~Global("tannerplot2","GLOBAL",3)
!Dead("trskin01")~ THEN REPLY #44563 /* ~I found Raissa, but she has been... changed.  I need a Restoration spell in order to return her to her original form, and I do not have one.~ */ GOTO 26
  IF ~Global("tannerplot2","GLOBAL",3)
Dead("trskin01")~ THEN REPLY #44736 /* ~Raissa is dead, Tiris.  But the creatures which had used her in their plot are dead as well.~ */ GOTO 29
  IF ~~ THEN REPLY #44739 /* ~No, and I have no time to continue looking.~ */ GOTO 31
END

IF ~~ THEN BEGIN 24 // from: 23.0
  SAY #44738 /* ~I pray that you find her alive and well... please, Helm, let it be so!~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 25 // from: 23.1
  SAY #44740 /* ~You know where she is!  Then please, by all means, go there and find her!  Oh, I pray that she is safe!  If only I had not been such a coward!~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 26 // from: 23.2
  SAY #44741 /* ~She has been... changed?  You do not mean... into that, that skinless creature, do you?  Oh, no!~ */
  IF ~~ THEN GOTO 27
END

IF ~~ THEN BEGIN 27 // from: 26.0
  SAY #44742 /* ~This is... this is terrible!  But... you said she needs a Restoration spell?  Surely the temple superior has one!  But I am sure it is expensive, isn't it?~ */
  IF ~~ THEN GOTO 28
END

IF ~~ THEN BEGIN 28 // from: 27.0
  SAY #44743 /* ~If I had money to give you, my <LADYLORD>, I would gladly give it!  Please, I am begging you... can you not get this spell from the temple superior?  Can you not do something to help restore her?!~ */
  IF ~~ THEN REPLY #44744 /* ~I cannot get the spell she needs, Tiris.  I am sorry, but I cannot help her.~ */ GOTO 32
  IF ~~ THEN REPLY #44745 /* ~The most I could give her is a quick death.  I am sorry.~ */ GOTO 33
  IF ~~ THEN REPLY #44746 /* ~I will try to do what I can.~ */ GOTO 34
  IF ~~ THEN REPLY #44747 /* ~You expect too much of me!  I refuse to do more!~ */ GOTO 32
END

IF ~~ THEN BEGIN 29 // from: 23.3
  SAY #44748 /* ~Ah, I see.  That is... devastating news, my <LADYLORD>.  But... but at least it is over.  Thank you... thank you for everything you have done for me.~ */
  IF ~~ THEN GOTO 30
END

IF ~~ THEN BEGIN 30 // from: 29.0
  SAY #44749 /* ~If... if you will excuse me, I must go with my parents to Raissa's home.  Her... her parents will need to know what has happened...~ */
  IF ~~ THEN DO ~EraseJournalEntry(6996)
EraseJournalEntry(7022)
EraseJournalEntry(7023)
EraseJournalEntry(7024)
EraseJournalEntry(7026)
EraseJournalEntry(15731)
EraseJournalEntry(15803)
EraseJournalEntry(15805)
EraseJournalEntry(15965)
EraseJournalEntry(16530)
EraseJournalEntry(22914)
EraseJournalEntry(37194)
SetGlobal("tirisjob","GLOBAL",2)
ActionOverride("trskin04",EscapeArea())
ActionOverride("trskin05",EscapeArea())
AddexperienceParty(20000)
EscapeArea()
~ SOLVED_JOURNAL #20371 /* ~Helping Tiris in Trademeet

Even though Rejiek Hidesman and his fellow Skin Dancer, Darsidian, were dead, I still had to inform Tiris that Raissa was dead, as well.  He left, dejected, to tell her parents.  Not all quests have perfectly happy endings.~ */ EXIT
END

IF ~~ THEN BEGIN 31 // from: 23.4
  SAY #44750 /* ~Ah.  Then... then there is no hope, is there?  I cannot force you to look for her... and I cannot leave, out of fear for that creature.~ */
  IF ~~ THEN DO ~SetGlobal("tirisjob","GLOBAL",0)
SetGlobal("tirisrefused","GLOBAL",1)~ GOTO 35
END

IF ~~ THEN BEGIN 32 // from: 28.3 28.0
  SAY #44751 /* ~I... I see.  Then I shall go to her and try to help her, myself.  I... I do not know what I can do, but I must try to do something.  Th-thank you, anyway... for finding her.~ */
  IF ~~ THEN DO ~EraseJournalEntry(6996)
EraseJournalEntry(7022)
EraseJournalEntry(7023)
EraseJournalEntry(7024)
EraseJournalEntry(7026)
EraseJournalEntry(15731)
EraseJournalEntry(15803)
EraseJournalEntry(15805)
EraseJournalEntry(15965)
EraseJournalEntry(16530)
EraseJournalEntry(22914)
EraseJournalEntry(37194)
SetGlobal("tannerplot2","GLOBAL",6)
AddexperienceParty(20000)
EscapeArea()
~ SOLVED_JOURNAL #20452 /* ~Helping Tiris in Trademeet

I told Tiris the bad news, that I could not help Raissa in her current situation.  For all that she was saved from Rejiek Hidesman and the other Skin Dancer, Darsidian, she had been turned into one herself.  Tiris left to try and do something on his own, for all that was worth.~ */ EXIT
END

IF ~~ THEN BEGIN 33 // from: 28.1
  SAY #44752 /* ~No!  N-no... no, I will go to her and... and see what I can do.  If I can do anything.  I owe her that much.  Th-thank you, my <LADYLORD>, for finding her at least...~ */
  IF ~~ THEN DO ~EraseJournalEntry(6996)
EraseJournalEntry(7022)
EraseJournalEntry(7023)
EraseJournalEntry(7024)
EraseJournalEntry(7026)
EraseJournalEntry(15731)
EraseJournalEntry(15803)
EraseJournalEntry(15805)
EraseJournalEntry(15965)
EraseJournalEntry(16530)
EraseJournalEntry(22914)
EraseJournalEntry(37194)
SetGlobal("tannerplot2","GLOBAL",6)
AddexperienceParty(20000)
EscapeArea()
~ SOLVED_JOURNAL #20452 /* ~Helping Tiris in Trademeet

I told Tiris the bad news, that I could not help Raissa in her current situation.  For all that she was saved from Rejiek Hidesman and the other Skin Dancer, Darsidian, she had been turned into one herself.  Tiris left to try and do something on his own, for all that was worth.~ */ EXIT
END

IF ~~ THEN BEGIN 34 // from: 28.2
  SAY #44753 /* ~Thank you!  I will await here eagerly for news!~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 35 // from: 31.0
  SAY #44754 /* ~If you are truly the heroes I think you are, I beg you to look for her anyway!  Please, before she runs out of time!  Please!~ */
  IF ~~ THEN DO ~SetGlobal("tirisjob","GLOBAL",0)
SetGlobal("tirisrefused","GLOBAL",1)~ EXIT
END
